Skip to main content
POST
/
api
/
public
/
organizations
/
{id}
/
icon
Upload organization icon
curl --request POST \
  --url https://charts.basedash.com/api/public/organizations/{id}/icon \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form icon='@example-file'
import requests

url = "https://charts.basedash.com/api/public/organizations/{id}/icon"

files = { "icon": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, files=files, headers=headers)

print(response.text)
const form = new FormData();
form.append('icon', '<string>');

const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

options.body = form;

fetch('https://charts.basedash.com/api/public/organizations/{id}/icon', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "iconUrl": "<string>"
  }
}
{
"error": {
"title": "<string>",
"detail": "<string>"
}
}
{
"error": {
"title": "<string>",
"detail": "<string>"
}
}
{
"error": {
"title": "<string>",
"detail": "<string>"
}
}
{
"error": {
"title": "<string>",
"detail": "<string>"
}
}
{
"error": {
"title": "RateLimitExceeded",
"detail": "<string>",
"retryAfterMs": 123
}
}
{
"error": {
"title": "<string>",
"detail": "<string>"
}
}
{
"error": {
"title": "<string>",
"detail": "<string>"
}
}

Authorizations

Authorization
string
header
required

API key authentication using Bearer token format: Bearer <basedash_api_key>

Path Parameters

id
string
required

Organization ID

Body

multipart/form-data
icon
file

Image file (JPEG or PNG). Maximum size: 2 MB.

Response

Icon uploaded successfully

data
object
required